Get User(s)

Get detailed user profile data associated with your partner account. Sync user records directly into your existing infrastructure to power internal admin dashboards, programmatically audit KYC verification statuses, monitor user spending limits, track linked payment methods, equip support teams to troubleshoot account-level issues, display account history to your end-users, and more. Tailor your requests to fit your specific workflow using flexible querying and filtering parameters.

Endpoints


EnvironmentMethodEndpoint
SandboxGEThttps://partner-sandbox.wert.io/api/external/users
ProductionGEThttps://partner.wert.io/api/external/users

Limits


  • Threshold: 10 requests per second
  • Exceeded Rate Response: 429 Too Many Requests
  • Partner Account Scope: You can only query users who have interacted with or are associated with your partner account.

Query Parameters


limit
number

The number of users you want to retrieve.

Possible values: 0 to 20


offset
number

Skips the specified number of users. Defaults to 0.

Possible values: 0, 10, 20, etc.


order_by
enum <string>

Sets the sorting order of the results based on creation date. Defaults to desc.

Possible values: asc / desc


from
string (ISO 8601 date-time format)

Filters users with created_at after this timestamp.

Note: Use from and to together to return users for a specific period. Use a narrow time range if you have a high volume of users. The maximum is 20 users per request.

Possible values: YYYY-MM-DDTHH:MM:SSZ, for example 2025-11-19T23:59:59.00Z.


to
string (ISO 8601 date-time format)

Filters users with created_at up to this timestamp.

Note: Use from and to together to return users for a specific period. Use a narrow time range if you have a high volume of users. The maximum is 20 users per request.

Possible values: YYYY-MM-DDTHH:MM:SSZ, for example 2025-11-19T23:59:59.00Z.


user_ids
string

Filter users by specific Wert user IDs.

Possible values: Single user ID or a comma-separated list of user IDs (e.g., user_id1,user_id2).


lkyc_status
enum <string>

Filter users by non-document verification status.

Possible values: See LKYC Status.


fkyc_status
enum <string>

Filter users by document verification status.

Possible values: See FKYC Status.


phone_country
string

Filter users by their phone country ISO code.

Possible values: Click to see alpha-2 country code, for example DE, US, RU.


kyc_country
string

Filter users by their KYC verified country ISO code.

Possible values: Click to see alpha-3 country code, for example DEU, USA, RUS.

Example Requests


# 1. Get the most recent users (Default)
curl -X GET 'https://partner-sandbox.wert.io/api/external/users' \
  -H 'X-Api-Key: your-unique-api-key'

# 2. Retrieve 20 users from a specific offset
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/users' \
  -H 'X-Api-Key: your-unique-api-key' \
  -d 'limit=20' \
  -d 'offset=20'

# 3. Search for a specific user by ID
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/users' \
  -H 'X-Api-Key: your-unique-api-key' \
  -d 'user_ids=user_id'

# 4. Search for multiple users (comma-separated IDs)
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/users' \
  -H 'X-Api-Key: your-unique-api-key' \
  -d 'user_id=user_id1,user_id2,user_id3'

# 5. Filter users by KYC status (e.g., success)
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/users' \
  -d 'lkyc_status=success'

# 6. Filter by date range (When users were created)
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/users' \
  -H 'X-Api-Key: your-unique-api-key' \
  -d 'from=2025-11-20T00:00:00.00Z' \
  -d 'to=2025-11-20T23:59:59.00Z'

# 7. Filter users by phone country
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/users' \
  -H 'X-Api-Key: your-unique-api-key' \
  -d 'phone_country=RU'

# 8. Filter users by KYC country
curl -X GET -G 'https://partner-sandbox.wert.io/api/external/users' \
  -H 'X-Api-Key: your-unique-api-key' \
  -d 'kyc_country=RUS'

Response


success
boolean

Indicates if the request was successfully processed.


data
object[]
Show child attributes
data.user_id string

User's Wert ID.


data.country string

User's KYC country (alpha3 format).

Possible values: alpha-3 country code, for example DEU, USA, RUS.


data.phone string

User's masked phone number.


data.phone_country string

User's phone country (alpha2 format).

Possible values: Click to see alpha-2 country code, for example DE, US, RU.


data.lkyc_status enum <string>

User's non-document verification status.

Possible values: lkyc_status


data.fkyc_status enum <string>

User's document verification status.

Possible values: fkyc_status


data.banned boolean

Indicates whether the user is banned by Wert.


data.created_at string

Date and time of the user's creation (UTC). See Example Response for a time format.


data.limits object
Show child attributes
data.limits.crypto_remaining string

The user's current crypto limit left in USD. Zero if no KYC or active KYC is not success.


data.limits.crypto_spending string

How much in USD the user has already spent from the current crypto limits.


data.limits.digital_goods_remaining string

The user's current NFT limit left in USD. Zero if no KYC or active KYC is not success.


data.limits.digital_goods_spending string

How much in USD the user has already spent from the current NFT limits.


data.linked_payment_methods object[]

An array of objects representing the user's saved payment options.

Show child attributes
data.linked_payment_methods.method string

Payment method.


data.linked_payment_methods.cards object[]

An array of saved cards associated with this payment method.

Show child attributes
data.linked_payment_methods.cards.brand string

Payment method brand.


data.linked_payment_methods.cards.card_id string

Payment method card ID associated with Wert.


data.linked_payment_methods.cards.created_at string

Payment method creation date. See Example Response for a time format.


data.linked_payment_methods.cards.last_digits string

Payment method last digits.


total
number

The total count of users matching the search criteria.

Example Response


{
  "success": true,
  "data": [
      {
          "country": "DEU",
          "created_at": "2025-11-19T11:21:48.200421Z",
          "fkyc_status": "retry",
          "limits": {
              "crypto_remaining": "0",
              "crypto_spending": "0",
              "digital_goods_remaining": "0",
              "digital_goods_spending": "0"
          },
          "linked_payment_methods": [
              {
                  "cards": [
                      {
                          "brand": "VISA",
                          "card_id": "01KADXN9TN3QEMG9DHWX6G7Y0S",
                          "created_at": "2025-11-19T11:23:09.526895Z",
                          "last_digits": "1000"
                      }
                  ],
                  "method": "bank_card"
              }
          ],
          "lkyc_status": "failed",
          "phone": "+49*****356",
          "phone_country": "DE",
          "user_id": "01KADXJS47C9B1WG8V3ZNM2SV7"
      },
      {
          "country": "DEU",
          "created_at": "2025-11-19T11:19:44.098153Z",
          "fkyc_status": "not initiated",
          "limits": {
              "crypto_remaining": "6000",
              "crypto_spending": "0",
              "digital_goods_remaining": "6000",
              "digital_goods_spending": "0"
          },
          "linked_payment_methods": [],
          "lkyc_status": "success",
          "phone": "+49*****355",
          "phone_country": "DE",
          "user_id": "01KADXEZZQF8DQEPP4AE28SKBX"
      },
      {
          "country": "DEU",
          "created_at": "2025-11-19T11:14:42.380854Z",
          "fkyc_status": "not initiated",
          "limits": {
              "crypto_remaining": "6000",
              "crypto_spending": "0",
              "digital_goods_remaining": "6000",
              "digital_goods_spending": "0"
          },
          "linked_payment_methods": [],
          "lkyc_status": "success",
          "phone": "+49*****354",
          "phone_country": "DE",
          "user_id": "01KADX5RRHCHDMPFWEEFX2YDS6"
      }
  ],
  "total": 3
}

References


LKYC Status

StatusDescription
initiatedCreated the LKYC check and but no result from KYC Provider has arrived yet.
pendingKYC Provider received the check, and the final result is not available yet.
successThe user passed LKYC. The LKYC limits now apply.
failedThe check is finally rejected. The user cannot continue with LKYC. They'll have to complete FKYC.

FKYC Status

StatusDescription
initiatedFKYC has started, but the user has not submitted all required steps.
progressThe user is uploading documents or doing the selfie check, but has not submitted everything yet.
pendingThe user submitted all required steps, and the review is in progress.
on holdThe review is paused for a manual or compliance check.
retryThe submission was rejected, but the user can fix it, for example with a better photo or a different document, and submit again.
successThe user passed FKYC. The FKYC limits now apply.
failedThe check is finally rejected. The user cannot pass FKYC.

Did this page help you?